org.apache.tinkerpop.gremlin.structure

## Class GraphReadPerformanceTest.ReadFromGraph

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.GraphReadPerformanceTest.ReadFromGraph

- Enclosing class:
    GraphReadPerformanceTest

      public static class GraphReadPerformanceTest.ReadFromGraph
      extends AbstractGremlinTest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TestRule` | `benchmarkRun`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadFromGraph()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterLoadGraphWith(Graph g)`
    `void` | `readAllEdgesAndProperties()`
    `void` | `readAllVerticesAndProperties()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### benchmarkRun

          public TestRule benchmarkRun

  - ### Constructor Detail

    - #### ReadFromGraph

          public ReadFromGraph()

  - ### Method Detail

    - #### afterLoadGraphWith

          protected void afterLoadGraphWith(Graph g)
                                     throws Exception

      Overrides:
        `afterLoadGraphWith` in class `AbstractGremlinTest`
      Throws:
        `Exception`

    - #### readAllVerticesAndProperties

          public void readAllVerticesAndProperties()
                                            throws Exception

      Throws:
        `Exception`

    - #### readAllEdgesAndProperties

          public void readAllEdgesAndProperties()
                                         throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.